#
# Conditional build:
%bcond_without	apidocs		# API documentation
%bcond_without	static_libs	# static libraries

Summary:	The Universal Plug and Play (UPnP) SDK for Linux
Summary(pl.UTF-8):	Pakiet programistyczny Universal Plug and Play (UPnP) dla Linuksa
Name:		libupnp
Version:	1.14.20
Release:	1
License:	BSD
Group:		Libraries
Source0:	https://downloads.sourceforge.net/pupnp/%{name}-%{version}.tar.bz2
# Source0-md5:	b64b0079eed0a2dc4df5e6fd42b94ad3
Patch0:		%{name}-opt.patch
Patch1:		%{name}-openssl.patch
URL:		http://pupnp.sourceforge.net/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.8
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	libtool >= 2:1.5
BuildRequires:	openssl-devel >= 0.9.8b
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Linux SDK for UPnP Devices (libupnp) provides developers with an
API and open source code for building control points, devices, and
bridges that are compliant with Version 1.0 of the Universal Plug and
Play Device Architecture Specification.

%description -l pl.UTF-8
Linuksowy pakiet programistyczny dla urządzeń UPnP (libupnp) dostarcza
programistom API i kod z otwartymi źródłami służące do tworzenia
punktów kontrolnych, urządzeń i mostków kompatybilnych z wersją 1.0
specyfikacji architektury urządzeń Universal Plug and Play.

%package devel
Summary:	Header files for libupnp
Summary(pl.UTF-8):	Pliki nagłówkowe libupnp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl-devel >= 0.9.8b
Conflicts:	libupnp1.6-devel

%description devel
This package contains header files for the Linux SDK for UPnP Devices
(libupnp).

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe dla linuksowego pakietu
programistycznego do urządzeń UPnP (libupnp).

%package static
Summary:	Static upnp libraries
Summary(pl.UTF-8):	Statyczne biblioteki upnp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Conflicts:	libupnp1.6-static

%description static
Static upnp libraries.

%description static -l pl.UTF-8
Statyczne biblioteki upnp.

%package apidocs
Summary:	API documentation for upnp libraries
Summary(pl.UTF-8):	Dokumentacja API bibliotek upnp
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for upnp libraries.

%description apidocs -l pl.UTF-8
Dokumentacja API bibliotek upnp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# LFS is required in library clients (including examples)
%{__sed} -i -e '/^Cflags/ s/$/ -D_FILE_OFFSET_BITS=64/' libupnp.pc.in
%{__sed} -i -e '/^AM_CPPFLAGS =/ s/= /= -D_FILE_OFFSET_BITS=64 /' upnp/sample/Makefile.am

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?debug:--enable-debug} \
	--enable-open-ssl \
	--disable-silent-rules \
	%{__enable_disable static_libs static}
%{__make}
%{?with_apidocs:%{__make} -C docs docs}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog THANKS
%attr(755,root,root) %{_libdir}/libixml.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libixml.so.11
%attr(755,root,root) %{_libdir}/libupnp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libupnp.so.17

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libixml.so
%attr(755,root,root) %{_libdir}/libupnp.so
%{_libdir}/libixml.la
%{_libdir}/libupnp.la
%{_includedir}/upnp
%{_pkgconfigdir}/libupnp.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libixml.a
%{_libdir}/libupnp.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc docs/doxygen/html/*.{html,js,css,png}
%endif
%changelog
* Wed Oct 09 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libupnp.git;a=log;h=master

* Wed Oct 09 2024 Jan Palus <atler@pld-linux.org> 7b35dd7
- up to 1.14.20

* Tue Apr 23 2024 Jan Palus <atler@pld-linux.org> 3a2cde7
- add apidocs bcond

* Tue Apr 23 2024 Jan Palus <atler@pld-linux.org> 03c24f2
- add static_libs bcond

* Tue Apr 23 2024 Jan Palus <atler@pld-linux.org> f34ffa6
- up to 1.14.19

* Tue Aug 22 2023 Jan Palus <atler@pld-linux.org> 2299970
- up to 1.14.18

* Tue Jul 25 2023 Jakub Bogusz <qboosh@pld-linux.org> a30c301
- updated to 1.14.17

* Fri Mar 31 2023 Jan Palus <atler@pld-linux.org> edcf8f3
- up to 1.14.16

* Tue Nov 29 2022 Jan Palus <atler@pld-linux.org> e78782a
- up to 1.14.15

* Fri Oct 07 2022 Jan Palus <atler@pld-linux.org> a44d668
- up to 1.14.14

* Wed Aug 17 2022 Jan Palus <atler@pld-linux.org> 14035f4
- Release 2 (by relup.sh)

* Fri Aug 05 2022 Jan Palus <atler@pld-linux.org> eb1c9e1
- up to 1.14.13

* Fri Apr 01 2022 Jakub Bogusz <qboosh@pld-linux.org> d3d61de
- updated to 1.14.12
- removed obsolete ithread patch

* Mon Oct 04 2021 Jan Palus <atler@pld-linux.org> ffe2af3
- upstream fix for build failure with glibc 2.34; rel 2

* Tue Apr 20 2021 Jan Palus <atler@pld-linux.org> 1debadf
- up to 1.14.6 (security fix)

* Tue Apr 13 2021 Jan Palus <atler@pld-linux.org> 70737aa
- up to 1.14.5 (fixes CVE-2021-28302)

* Tue Mar 30 2021 Jan Palus <atler@pld-linux.org> 3a7fe77
- up to 1.14.4

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> c558e54
- unconditional noarch subpackages

* Mon Mar 01 2021 Jan Palus <atler@pld-linux.org> a1862e1
- up to 1.14.2

* Wed Feb 10 2021 Jan Palus <atler@pld-linux.org> 1d72a96
- updated noarch rule

* Wed Feb 10 2021 Jan Palus <atler@pld-linux.org> d944244
- up to 1.14.1

